package com.competition.modules.biz.homework.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.competition.common.result.PageResult;
import com.competition.modules.biz.homework.dto.CreateSubmissionDto;
import com.competition.modules.biz.homework.entity.BizHomeworkSubmission;

import java.util.List;
import java.util.Map;

public interface IHomeworkSubmissionService extends IService<BizHomeworkSubmission> {

    BizHomeworkSubmission create(CreateSubmissionDto dto, Long studentId, Long tenantId);

    PageResult<Map<String, Object>> findAll(Long page, Long pageSize, Long tenantId, Long homeworkId,
                                             String workNo, String workName, String studentAccount,
                                             String studentName, String status);

    Map<String, Object> findDetail(Long id);

    Map<String, Object> findMySubmission(Long homeworkId, Long userId);

    List<Map<String, Object>> getClassTree(Long tenantId);
}
